> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincode.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Generating Wallet Account Statement

> Generate wallet account statement.



## OpenAPI

````yaml POST /v1/services/walletmanagement/walletledgerbyclient/{startDate}/{endDate}/{currency}/
openapi: 3.0.0
info:
  title: FinCode API
  version: v6
servers:
  - url: https://{tenant}.fincode.software/api/v6/services
    description: API v6
    variables:
      tenant:
        default: remitjunction
        description: Enter your tenant subdomain
  - url: https://{tenant}.fincode.software/api/v1/services
    description: API v1
    variables:
      tenant:
        default: finlend
        description: Enter your tenant subdomain
  - url: https://api.stag.songhaiexchange.io
    description: Songhai Exchange API
security: []
paths:
  /v1/services/walletmanagement/walletledgerbyclient/{startDate}/{endDate}/{currency}/:
    post:
      tags:
        - Wallet Management
      summary: Generating Wallet Account Statement
      description: Generate wallet account statement.
      operationId: walletAccountStatement
      parameters:
        - name: startDate
          in: path
          schema:
            type: string
          required: true
        - name: endDate
          in: path
          schema:
            type: string
          required: true
        - name: currency
          in: path
          schema:
            type: string
          required: true
        - name: Authorization
          in: header
          schema:
            type: string
          required: true
          description: Bearer token
      responses:
        '200':
          description: Statement Generated
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    executionDate:
                      type: string
                    newBalance:
                      type: number
                    currencyCode:
                      type: string
                    paymentRef:
                      type: string
                    accountHolder:
                      type: string
                    ledgerType:
                      type: string
      servers:
        - url: https://api.stag.songhaiexchange.io

````